#include "DualMC33926MotorShield.h"

DualMC33926MotorShield md1(23, 6, A1, 25, 5, A0, 31, 33);
DualMC33926MotorShield md2(29, 7, A2, 27, 8, A3, 35, 37);

void stopIfFault()
{
  if (md1.getFault())
  {
    Serial.println("fault MD1");
    while(1);
  }
  if (md2.getFault())
  {
    Serial.println("fault MD2");
    while(1);
  }
  
}

void setup()
{
  Serial.begin(115200);
  Serial.println("Dual MC33926 Motor Shield");
  md1.init();
  md2.init();
}

void loop()
{

}




//////////////// Accelération M1///////////////////////  

// for (int i = 0; i <= 400; i++)
//  {
//    md1.setM1Speed(i);
//    stopIfFault();
//    if (abs(i)%200 == 100)
//    {
//      Serial.print("M1 current: ");
//      Serial.println(md1.getM1CurrentMilliamps());
//    }
//    delay(2);
//  }



///////////////Ralentissement M2//////////////////////
//  for (int i = 400; i >= -400; i--)
//  {
//    md1.setM1Speed(i);
//    stopIfFault();
//    if (abs(i)%200 == 100)
//    {
//      Serial.print("M1 current: ");
//      Serial.println(md1.getM1CurrentMilliamps());
//    }
//    delay(2);
//  }

/////////////////Ralentissement M2//////////////////////  
//  for (int i = -400; i <= 0; i++)
//  {
//    md1.setM1Speed(i);
//    stopIfFault();
//    if (abs(i)%200 == 100)
//    {
//      Serial.print("M1 current: ");
//      Serial.println(md1.getM1CurrentMilliamps());
//    }
//    delay(2);
//  }

/////////////////Ralentissement M1//////////////////////
//  for (int i = 0; i <= 400; i++)
//  {
//    md1.setM2Speed(i);
//    stopIfFault();
//    if (abs(i)%200 == 100)
//    {
//      Serial.print("M2 current: ");
//      Serial.println(md1.getM2CurrentMilliamps());
//    }
//    delay(2);
//  }

/////////////////Ralentissement M2//////////////////////  
//  for (int i = 400; i >= -400; i--)
//  {
//    md1.setM2Speed(i);
//    stopIfFault();
//    if (abs(i)%200 == 100)
//    {
//      Serial.print("M2 current: ");
//      Serial.println(md1.getM2CurrentMilliamps());
//    }
//    delay(2);
//  }

/////////////////Ralentissement M2//////////////////////  
//  for (int i = -400; i <= 0; i++)
//  {
//    md1.setM2Speed(i);
//    stopIfFault();
//    if (abs(i)%200 == 100)
//    {
//      Serial.print("M2 current: ");
//      Serial.println(md1.getM2CurrentMilliamps());
//    }
//    delay(2);
//  }
